Bug 21964 - Switch two-column templates to Bootstrap grid: Patrons part 2
Summary: Switch two-column templates to Bootstrap grid: Patrons part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20654 11375 21751 22974
  Show dependency treegraph
 
Reported: 2018-12-06 14:08 UTC by Owen Leonard
Modified: 2019-05-23 13:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2 (22.42 KB, patch)
2018-12-06 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2 (22.47 KB, patch)
2018-12-17 14:16 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2 (22.57 KB, patch)
2018-12-17 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2 (22.46 KB, patch)
2019-01-11 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-06 14:08:28 UTC
These two-column patron templates can be updated to use the Bootstrap grid.

  - modules/members/maninvoice.tt
  - modules/members/member-flags.tt
  - modules/members/member-password.tt
  - modules/members/member.tt
  - modules/members/memberentrygen.tt
Comment 1 Owen Leonard 2018-12-06 14:48:27 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-12-17 14:16:28 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2018-12-17 21:11:49 UTC
Created attachment 83316 [details] [review]
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2

This patch modifies several patron templates to use the Bootstrap grid
instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Patrons home page
   - New patron
 - Patron -> Fines -> Create manual invoice
 - Patron -> Set permissions
 - Patron -> Change password
 - Patron -> Edit

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Owen Leonard 2019-01-11 13:25:38 UTC
Created attachment 83790 [details] [review]
Bug 21964: Update two-column templates with Bootstrap grid: Patrons part 2

This patch modifies several patron templates to use the Bootstrap grid
instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Patrons home page
   - New patron
 - Patron -> Fines -> Create manual invoice
 - Patron -> Set permissions
 - Patron -> Change password
 - Patron -> Edit

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2019-01-28 16:11:26 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 14:23:33 UTC
Enhancement, will not be backported for the 18.11.x series.